Subject: bug#68807: 29.1; Can bindir used for emacsclient(-mail).desktop in Makefile.in be removed?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jan 2024 16:25:17 +0200

> From: Lin Jian <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 30 Jan 2024 22:08:47 +0800
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes, because the Emacs's upstream installation procedure installs
> > emacsclient in ${bindir}.  So "our "make install" wants to make sure
> > the desktop file will reference the correct emacsclient, not the one
> > found first on PATH.
> 
> Since (I think) emacs and emacsclient are installed to the same
> directory, why is not bindir used for emacs in *.desktop files?  Why are
> emacs and emacsclient treated differently in *.desktop files?

I don't know, but people have been committing changes to these files
for many moons, so I guess there is some reason.  If you are really
interested, try looking at the Git history of that, and then look up
discussions here or on emacs-devel near the times of the changes.

> Is this a bug?

Not likely, because this is AFAIK used by many users and distros.